%global debug_package %{nil}

Name: python-docker
Epoch: 100
Version: 5.0.3
Release: 1%{?dist}
BuildArch: noarch
Summary: Docker API Client
License: Apache-2.0
URL: https://github.com/docker/docker-py/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
It lets you do anything the docker command does, but from within Python
apps - run containers, manage containers, manage Swarms, etc.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-docker
Summary: Docker API Client
Requires: python3
Requires: python3-requests >= 2.14.2
Requires: python3-websocket-client >= 0.32.0
Provides: python3-docker = %{epoch}:%{version}-%{release}
Provides: python3dist(docker) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-docker = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(docker) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-docker = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(docker) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-docker
It lets you do anything the docker command does, but from within Python
apps - run containers, manage containers, manage Swarms, etc.

%files -n python%{python3_version_nodots}-docker
%license LICENSE
%{python3_sitelib}/docker*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-docker
Summary: Docker API Client
Requires: python3
Requires: python3-requests >= 2.14.2
Requires: python3-websocket-client >= 0.32.0
Provides: python3-docker = %{epoch}:%{version}-%{release}
Provides: python3dist(docker) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-docker = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(docker) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-docker = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(docker) = %{epoch}:%{version}-%{release}

%description -n python3-docker
It lets you do anything the docker command does, but from within Python
apps - run containers, manage containers, manage Swarms, etc.

%files -n python3-docker
%license LICENSE
%{python3_sitelib}/docker*
%endif

%changelog
